import 'package:flarts/flart_data.dart';


class StockQuote {
  final DateTime timestamp;
  final double price;
  final int volume;

  StockQuote(this.timestamp, this.price, this.volume);
}

FlartData get spyPriceData => FlartData<StockQuote, DateTime, double>(
  spyQuotes,
  rangeFn: (price, i) => price.price,
  domainFn: (price, i) => price.timestamp,
);

FlartData get dowPricesData => FlartData<StockQuote, DateTime, double>(
  dowQuotes,
  rangeFn: (quote, i) => quote.price,
  domainFn: (quote, i) => quote.timestamp,
);

FlartData get spyVolumeData => FlartData<StockQuote, DateTime, int>(
  spyQuotes,
  rangeFn: (quote, i) => quote.volume,
  domainFn: (quote, i) => quote.timestamp,
);

// todo: make an example with Price to show how auto-interpolation works.
class Price {
  final Day day;
  final double price;

  Price(this.day, this.price);
}

class Day extends Comparable<Day> {
  int day;

  Day(this.day);

  @override
  int compareTo(Day other) => day - other.day;

  @override
  String toString() => '$day';
}

List<double> get simplyDoubles =>
    [10.0, 12.0, 14.0, 15.0, 18.0, 19.0, 20.0, 22.0, 21.0, 19.0];

List<double> get simplyCount => [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];

List<StockQuote> get spyQuotes => [
  StockQuote(DateTime.parse("2019-04-10"), 288.29, 52463390),
  StockQuote(DateTime.parse("2019-04-09"), 287.31, 66072820),
  StockQuote(DateTime.parse("2019-04-08"), 288.79, 53462150),
  StockQuote(DateTime.parse("2019-04-05"), 288.57, 58454610),
  StockQuote(DateTime.parse("2019-04-04"), 287.18, 48868830),
  StockQuote(DateTime.parse("2019-04-03"), 286.42, 68027480),
  StockQuote(DateTime.parse("2019-04-02"), 285.97, 39939210),
  StockQuote(DateTime.parse("2019-04-01"), 285.83, 77289510),
  StockQuote(DateTime.parse("2019-03-29"), 282.48, 81882480),
  StockQuote(DateTime.parse("2019-03-28"), 280.71, 55987830),
  StockQuote(DateTime.parse("2019-03-27"), 279.65, 72092750),
  StockQuote(DateTime.parse("2019-03-26"), 281.12, 67884060),
  StockQuote(DateTime.parse("2019-03-25"), 279.04, 84898680),
  StockQuote(DateTime.parse("2019-03-22"), 279.25, 122400900),
  StockQuote(DateTime.parse("2019-03-21"), 284.73, 79394020),
  StockQuote(DateTime.parse("2019-03-20"), 281.55, 84349430),
  StockQuote(DateTime.parse("2019-03-19"), 282.4, 90060530),
  StockQuote(DateTime.parse("2019-03-18"), 282.33, 61813150),
  StockQuote(DateTime.parse("2019-03-15"), 281.31, 80558110),
  StockQuote(DateTime.parse("2019-03-14"), 281.16, 67354180),
  StockQuote(DateTime.parse("2019-03-13"), 281.34, 80111580),
  StockQuote(DateTime.parse("2019-03-12"), 279.49, 79432230),
  StockQuote(DateTime.parse("2019-03-11"), 278.44, 64752480),
  StockQuote(DateTime.parse("2019-03-08"), 274.46, 85634780),
  StockQuote(DateTime.parse("2019-03-07"), 275.01, 94692650),
  StockQuote(DateTime.parse("2019-03-06"), 277.33, 74824560),
  StockQuote(DateTime.parse("2019-03-05"), 279.02, 58813100),
  StockQuote(DateTime.parse("2019-03-04"), 279.4, 106181700),
  StockQuote(DateTime.parse("2019-03-01"), 280.42, 77586110),
  StockQuote(DateTime.parse("2019-02-28"), 278.68, 69048080),
  StockQuote(DateTime.parse("2019-02-27"), 279.2, 56131350),
  StockQuote(DateTime.parse("2019-02-26"), 279.32, 56491990),
  StockQuote(DateTime.parse("2019-02-25"), 279.52, 68642630),
  StockQuote(DateTime.parse("2019-02-22"), 279.14, 77132070),
  StockQuote(DateTime.parse("2019-02-21"), 277.42, 63984460),
  StockQuote(DateTime.parse("2019-02-20"), 278.41, 76479570),
  StockQuote(DateTime.parse("2019-02-19"), 277.85, 58802310),
  StockQuote(DateTime.parse("2019-02-15"), 277.37, 96744830),
  StockQuote(DateTime.parse("2019-02-14"), 274.38, 82409970),
  StockQuote(DateTime.parse("2019-02-13"), 274.99, 64930780),
  StockQuote(DateTime.parse("2019-02-12"), 274.1, 71990420),
  StockQuote(DateTime.parse("2019-02-11"), 270.62, 67807910),
  StockQuote(DateTime.parse("2019-02-08"), 270.47, 75742440),
  StockQuote(DateTime.parse("2019-02-07"), 270.14, 95030290),
  StockQuote(DateTime.parse("2019-02-06"), 272.74, 58009950),
  StockQuote(DateTime.parse("2019-02-05"), 273.1, 79447070),
  StockQuote(DateTime.parse("2019-02-04"), 271.96, 60610790),
  StockQuote(DateTime.parse("2019-02-01"), 270.06, 85738850),
  StockQuote(DateTime.parse("2019-01-31"), 269.93, 103347200),
  StockQuote(DateTime.parse("2019-01-30"), 267.58, 92069900),
  StockQuote(DateTime.parse("2019-01-29"), 263.41, 65024130),
  StockQuote(DateTime.parse("2019-01-28"), 263.76, 85027280),
  StockQuote(DateTime.parse("2019-01-25"), 265.78, 96838230),
  StockQuote(DateTime.parse("2019-01-24"), 263.55, 58643080),
  StockQuote(DateTime.parse("2019-01-23"), 263.41, 84305190),
  StockQuote(DateTime.parse("2019-01-22"), 262.86, 115253300),
  StockQuote(DateTime.parse("2019-01-18"), 266.46, 124175900),
  StockQuote(DateTime.parse("2019-01-17"), 262.96, 94873800),
  StockQuote(DateTime.parse("2019-01-16"), 260.98, 77489420),
  StockQuote(DateTime.parse("2019-01-15"), 260.35, 84892580),
  StockQuote(DateTime.parse("2019-01-14"), 257.4, 69913980),
  StockQuote(DateTime.parse("2019-01-11"), 258.98, 72812270),
  StockQuote(DateTime.parse("2019-01-10"), 258.88, 96462500),
  StockQuote(DateTime.parse("2019-01-09"), 257.97, 94640560),
  StockQuote(DateTime.parse("2019-01-08"), 256.77, 101804900),
  StockQuote(DateTime.parse("2019-01-07"), 254.38, 102307400),
  StockQuote(DateTime.parse("2019-01-04"), 252.39, 142444500),
  StockQuote(DateTime.parse("2019-01-03"), 244.21, 142029300),
  StockQuote(DateTime.parse("2019-01-02"), 250.18, 126041700),
  StockQuote(DateTime.parse("2018-12-31"), 249.92, 143399900),
  StockQuote(DateTime.parse("2018-12-28"), 247.75, 152931300),
  StockQuote(DateTime.parse("2018-12-27"), 248.07, 184664900),
  StockQuote(DateTime.parse("2018-12-26"), 246.18, 217567600),
  StockQuote(DateTime.parse("2018-12-24"), 234.34, 147311600),
  StockQuote(DateTime.parse("2018-12-21"), 240.7, 252779300),
  StockQuote(DateTime.parse("2018-12-20"), 247.17, 247438000),
  StockQuote(DateTime.parse("2018-12-19"), 251.26, 214312900),
  StockQuote(DateTime.parse("2018-12-18"), 255.08, 133073600),
  StockQuote(DateTime.parse("2018-12-17"), 255.36, 165088800),
  StockQuote(DateTime.parse("2018-12-14"), 260.47, 116727700),
  StockQuote(DateTime.parse("2018-12-13"), 265.37, 96168730),
  StockQuote(DateTime.parse("2018-12-12"), 265.46, 97670090),
  StockQuote(DateTime.parse("2018-12-11"), 264.13, 120632500),
  StockQuote(DateTime.parse("2018-12-10"), 264.07, 151022400),
  StockQuote(DateTime.parse("2018-12-07"), 263.57, 160872400),
  StockQuote(DateTime.parse("2018-12-06"), 269.84, 203716500),
  StockQuote(DateTime.parse("2018-12-04"), 270.25, 176092500),
  StockQuote(DateTime.parse("2018-12-03"), 279.3, 102782300),
  StockQuote(DateTime.parse("2018-11-30"), 275.65, 95107720),
  StockQuote(DateTime.parse("2018-11-29"), 273.98, 81616860),
  StockQuote(DateTime.parse("2018-11-28"), 274.58, 127124600),
  StockQuote(DateTime.parse("2018-11-27"), 268.4, 75273810),
  StockQuote(DateTime.parse("2018-11-26"), 267.5, 79705470),
  StockQuote(DateTime.parse("2018-11-23"), 263.25, 42807880),
  StockQuote(DateTime.parse("2018-11-21"), 265.02, 73868530),
  StockQuote(DateTime.parse("2018-11-20"), 264.12, 135506200),
  StockQuote(DateTime.parse("2018-11-19"), 269.1, 102555300),
  StockQuote(DateTime.parse("2018-11-16"), 273.73, 126601900),
  StockQuote(DateTime.parse("2018-11-15"), 273.02, 134732600),
  StockQuote(DateTime.parse("2018-11-14"), 270.2, 124389400),
  StockQuote(DateTime.parse("2018-11-13"), 272.06, 97769120),
  StockQuote(DateTime.parse("2018-11-12"), 272.57, 99129960),
  StockQuote(DateTime.parse("2018-11-09"), 277.76, 98751520),
  StockQuote(DateTime.parse("2018-11-08"), 280.5, 65315460),
  StockQuote(DateTime.parse("2018-11-07"), 281.01, 102473700),
  StockQuote(DateTime.parse("2018-11-06"), 275.12, 58983590),
  StockQuote(DateTime.parse("2018-11-05"), 273.39, 65439740),
  StockQuote(DateTime.parse("2018-11-02"), 271.89, 122439600),
  StockQuote(DateTime.parse("2018-11-01"), 273.51, 98741380),
  StockQuote(DateTime.parse("2018-10-31"), 270.63, 127608600),
  StockQuote(DateTime.parse("2018-10-30"), 267.77, 156591000),
  StockQuote(DateTime.parse("2018-10-29"), 263.86, 159000800),
  StockQuote(DateTime.parse("2018-10-26"), 265.33, 201334300),
  StockQuote(DateTime.parse("2018-10-25"), 270.08, 137407500),
  StockQuote(DateTime.parse("2018-10-24"), 265.32, 175529100),
  StockQuote(DateTime.parse("2018-10-23"), 273.61, 145303800),
  StockQuote(DateTime.parse("2018-10-22"), 275.01, 82135740),
  StockQuote(DateTime.parse("2018-10-19"), 276.25, 139420600),
  StockQuote(DateTime.parse("2018-10-18"), 276.4, 134193100),
  StockQuote(DateTime.parse("2018-10-17"), 280.45, 110264900),
  StockQuote(DateTime.parse("2018-10-16"), 280.4, 118066700),
  StockQuote(DateTime.parse("2018-10-15"), 274.4, 101950500),
  StockQuote(DateTime.parse("2018-10-12"), 275.95, 182875500),
  StockQuote(DateTime.parse("2018-10-11"), 272.17, 272817700),
  StockQuote(DateTime.parse("2018-10-10"), 278.3, 211986800),
  StockQuote(DateTime.parse("2018-10-09"), 287.4, 74119800),
  StockQuote(DateTime.parse("2018-10-08"), 287.82, 87632150),
  StockQuote(DateTime.parse("2018-10-05"), 287.82, 105802000),
  StockQuote(DateTime.parse("2018-10-04"), 289.44, 111364900),
  StockQuote(DateTime.parse("2018-10-03"), 291.72, 64562270),
  StockQuote(DateTime.parse("2018-10-02"), 291.56, 47142170),
  StockQuote(DateTime.parse("2018-10-01"), 291.73, 61989950),
  StockQuote(DateTime.parse("2018-09-28"), 290.72, 70041610),
  StockQuote(DateTime.parse("2018-09-27"), 290.69, 59169340),
  StockQuote(DateTime.parse("2018-09-26"), 289.88, 79534430),
  StockQuote(DateTime.parse("2018-09-25"), 290.75, 44311990),
  StockQuote(DateTime.parse("2018-09-24"), 291.02, 53235550),
  StockQuote(DateTime.parse("2018-09-21"), 291.99, 105393700),
  StockQuote(DateTime.parse("2018-09-20"), 293.58, 100066700),
  StockQuote(DateTime.parse("2018-09-19"), 291.22, 48973100),
  StockQuote(DateTime.parse("2018-09-18"), 290.91, 61839370),
  StockQuote(DateTime.parse("2018-09-17"), 289.34, 67988580),
  StockQuote(DateTime.parse("2018-09-14"), 290.88, 54931910),
  StockQuote(DateTime.parse("2018-09-13"), 290.83, 50918630),
  StockQuote(DateTime.parse("2018-09-12"), 289.12, 59732730),
  StockQuote(DateTime.parse("2018-09-11"), 289.05, 50392160),
  StockQuote(DateTime.parse("2018-09-10"), 288.1, 49916740),
  StockQuote(DateTime.parse("2018-09-07"), 287.6, 72113310),
  StockQuote(DateTime.parse("2018-09-06"), 288.16, 65822170),
  StockQuote(DateTime.parse("2018-09-05"), 289.03, 71962480),
  StockQuote(DateTime.parse("2018-09-04"), 289.81, 57127320),
  StockQuote(DateTime.parse("2018-08-31"), 290.31, 65239910),
  StockQuote(DateTime.parse("2018-08-30"), 290.3, 61132280),
  StockQuote(DateTime.parse("2018-08-29"), 291.48, 61428440),
  StockQuote(DateTime.parse("2018-08-28"), 289.92, 46825850),
  StockQuote(DateTime.parse("2018-08-27"), 289.78, 56960210),
  StockQuote(DateTime.parse("2018-08-24"), 287.51, 57455140),
  StockQuote(DateTime.parse("2018-08-23"), 285.79, 49159070),
  StockQuote(DateTime.parse("2018-08-22"), 286.17, 44860080),
  StockQuote(DateTime.parse("2018-08-21"), 286.34, 66735600),
  StockQuote(DateTime.parse("2018-08-20"), 285.67, 39617170),
  StockQuote(DateTime.parse("2018-08-17"), 285.06, 65486180),
  StockQuote(DateTime.parse("2018-08-16"), 284.06, 69735140),
  StockQuote(DateTime.parse("2018-08-15"), 281.78, 102770900),
  StockQuote(DateTime.parse("2018-08-14"), 283.9, 43699800),
  StockQuote(DateTime.parse("2018-08-13"), 282.1, 65603520),
  StockQuote(DateTime.parse("2018-08-10"), 283.16, 76861430),
  StockQuote(DateTime.parse("2018-08-09"), 285.07, 35577000),
  StockQuote(DateTime.parse("2018-08-08"), 285.46, 41980470),
  StockQuote(DateTime.parse("2018-08-07"), 285.58, 43055550),
  StockQuote(DateTime.parse("2018-08-06"), 284.64, 39089820),
  StockQuote(DateTime.parse("2018-08-03"), 283.6, 53903840),
  StockQuote(DateTime.parse("2018-08-02"), 282.39, 63362570),
  StockQuote(DateTime.parse("2018-08-01"), 280.86, 53750270),
  StockQuote(DateTime.parse("2018-07-31"), 281.33, 68048690),
  StockQuote(DateTime.parse("2018-07-30"), 279.95, 63129490),
  StockQuote(DateTime.parse("2018-07-27"), 281.42, 76745550),
  StockQuote(DateTime.parse("2018-07-26"), 283.34, 57764990),
  StockQuote(DateTime.parse("2018-07-25"), 284.01, 78136310),
  StockQuote(DateTime.parse("2018-07-24"), 281.61, 67830670),
  StockQuote(DateTime.parse("2018-07-23"), 280.2, 46971110),
  StockQuote(DateTime.parse("2018-07-20"), 279.68, 83120620),
  StockQuote(DateTime.parse("2018-07-19"), 280, 61337540),
  StockQuote(DateTime.parse("2018-07-18"), 281.06, 44475860),
  StockQuote(DateTime.parse("2018-07-17"), 280.47, 52171530),
  StockQuote(DateTime.parse("2018-07-16"), 279.34, 48070320),
  StockQuote(DateTime.parse("2018-07-13"), 279.59, 48211510),
  StockQuote(DateTime.parse("2018-07-12"), 279.37, 59986150),
  StockQuote(DateTime.parse("2018-07-11"), 276.86, 76905490),
  StockQuote(DateTime.parse("2018-07-10"), 278.9, 51162450),
  StockQuote(DateTime.parse("2018-07-09"), 277.9, 49652160),
  StockQuote(DateTime.parse("2018-07-06"), 275.42, 66414600),
  StockQuote(DateTime.parse("2018-07-05"), 273.11, 56621680),
  StockQuote(DateTime.parse("2018-07-03"), 270.9, 42187070),
  StockQuote(DateTime.parse("2018-07-02"), 271.86, 63370550),
  StockQuote(DateTime.parse("2018-06-29"), 271.28, 97444490),
  StockQuote(DateTime.parse("2018-06-28"), 270.89, 76511740),
  StockQuote(DateTime.parse("2018-06-27"), 269.35, 104838900),
  StockQuote(DateTime.parse("2018-06-26"), 271.6, 68525150),
  StockQuote(DateTime.parse("2018-06-25"), 271, 137668700),
  StockQuote(DateTime.parse("2018-06-22"), 274.74, 56516380),
  StockQuote(DateTime.parse("2018-06-21"), 274.24, 70864990),
  StockQuote(DateTime.parse("2018-06-20"), 275.97, 53652060),
  StockQuote(DateTime.parse("2018-06-19"), 275.5, 97395160),
  StockQuote(DateTime.parse("2018-06-18"), 276.56, 52549580),
  StockQuote(DateTime.parse("2018-06-15"), 277.13, 119448800),
  StockQuote(DateTime.parse("2018-06-14"), 278.73, 76394330),
  StockQuote(DateTime.parse("2018-06-13"), 278.03, 78889800),
  StockQuote(DateTime.parse("2018-06-12"), 278.92, 72240090),
  StockQuote(DateTime.parse("2018-06-11"), 278.56, 58757260),
  StockQuote(DateTime.parse("2018-06-08"), 278.19, 71981550),
  StockQuote(DateTime.parse("2018-06-07"), 277.37, 72882070),
  StockQuote(DateTime.parse("2018-06-06"), 277.4, 62498610),
  StockQuote(DateTime.parse("2018-06-05"), 275.1, 50988090),
  StockQuote(DateTime.parse("2018-06-04"), 274.9, 45188240),
  StockQuote(DateTime.parse("2018-06-01"), 273.6, 71088010),
  StockQuote(DateTime.parse("2018-05-31"), 270.94, 93426970),
  StockQuote(DateTime.parse("2018-05-30"), 272.61, 69396900),
  StockQuote(DateTime.parse("2018-05-29"), 269.02, 115692100),
  StockQuote(DateTime.parse("2018-05-25"), 272.15, 56329040),
  StockQuote(DateTime.parse("2018-05-24"), 272.8, 75966080),
  StockQuote(DateTime.parse("2018-05-23"), 273.36, 64605540),
  StockQuote(DateTime.parse("2018-05-22"), 272.61, 52880880),
  StockQuote(DateTime.parse("2018-05-21"), 273.37, 57738110),
  StockQuote(DateTime.parse("2018-05-18"), 271.33, 64174990),
  StockQuote(DateTime.parse("2018-05-17"), 272.01, 56371150),
  StockQuote(DateTime.parse("2018-05-16"), 272.24, 53759700),
  StockQuote(DateTime.parse("2018-05-15"), 271.1, 86876380),
  StockQuote(DateTime.parse("2018-05-14"), 272.98, 54702570),
  StockQuote(DateTime.parse("2018-05-11"), 272.85, 59725680),
  StockQuote(DateTime.parse("2018-05-10"), 272.02, 70764000),
  StockQuote(DateTime.parse("2018-05-09"), 269.5, 59538590),
  StockQuote(DateTime.parse("2018-05-08"), 266.92, 67338050),
  StockQuote(DateTime.parse("2018-05-07"), 266.92, 55054350),
  StockQuote(DateTime.parse("2018-05-04"), 266.02, 91154240),
  StockQuote(DateTime.parse("2018-05-03"), 262.62, 136144700),
  StockQuote(DateTime.parse("2018-05-02"), 263.2, 85501550),
  StockQuote(DateTime.parse("2018-05-01"), 264.98, 75986700),
  StockQuote(DateTime.parse("2018-04-30"), 264.51, 80475460),
  StockQuote(DateTime.parse("2018-04-27"), 266.56, 57021920),
  StockQuote(DateTime.parse("2018-04-26"), 266.31, 67441210),
  StockQuote(DateTime.parse("2018-04-25"), 263.63, 103238300),
  StockQuote(DateTime.parse("2018-04-24"), 262.98, 112734000),
  StockQuote(DateTime.parse("2018-04-23"), 266.57, 65463180),
  StockQuote(DateTime.parse("2018-04-20"), 266.61, 99469420),
  StockQuote(DateTime.parse("2018-04-19"), 268.89, 77570630),
  StockQuote(DateTime.parse("2018-04-18"), 270.39, 57073780),
  StockQuote(DateTime.parse("2018-04-17"), 270.19, 64011070),
  StockQuote(DateTime.parse("2018-04-16"), 267.33, 62762920),
  StockQuote(DateTime.parse("2018-04-13"), 265.15, 84883690),
  StockQuote(DateTime.parse("2018-04-12"), 265.93, 68430410),
  StockQuote(DateTime.parse("2018-04-11"), 263.76, 91002710),
  StockQuote(DateTime.parse("2018-04-10"), 265.15, 105267300),
];


List<StockQuote> dowQuotes = [
  StockQuote(DateTime.parse("2019-04-10"), 26157.16, 0),
  StockQuote(DateTime.parse("2019-04-09"), 26150.58, 0),
  StockQuote(DateTime.parse("2019-04-08"), 26341.02, 0),
  StockQuote(DateTime.parse("2019-04-05"), 26424.99, 0),
  StockQuote(DateTime.parse("2019-04-04"), 26384.63, 0),
  StockQuote(DateTime.parse("2019-04-03"), 26218.13, 0),
  StockQuote(DateTime.parse("2019-04-02"), 26179.13, 0),
  StockQuote(DateTime.parse("2019-04-01"), 26258.42, 0),
  StockQuote(DateTime.parse("2019-03-29"), 25928.68, 0),
  StockQuote(DateTime.parse("2019-03-28"), 25717.46, 0),
  StockQuote(DateTime.parse("2019-03-27"), 25625.59, 0),
  StockQuote(DateTime.parse("2019-03-26"), 25657.73, 0),
  StockQuote(DateTime.parse("2019-03-25"), 25516.83, 0),
  StockQuote(DateTime.parse("2019-03-22"), 25502.32, 0),
  StockQuote(DateTime.parse("2019-03-21"), 25962.51, 0),
  StockQuote(DateTime.parse("2019-03-20"), 25745.67, 0),
  StockQuote(DateTime.parse("2019-03-19"), 25887.38, 0),
  StockQuote(DateTime.parse("2019-03-18"), 25914.1, 0),
  StockQuote(DateTime.parse("2019-03-15"), 25848.87, 0),
  StockQuote(DateTime.parse("2019-03-14"), 25709.94, 0),
  StockQuote(DateTime.parse("2019-03-13"), 25702.89, 0),
  StockQuote(DateTime.parse("2019-03-12"), 25554.66, 0),
  StockQuote(DateTime.parse("2019-03-11"), 25650.88, 0),
  StockQuote(DateTime.parse("2019-03-08"), 25450.24, 0),
  StockQuote(DateTime.parse("2019-03-07"), 25473.23, 0),
  StockQuote(DateTime.parse("2019-03-06"), 25673.46, 0),
  StockQuote(DateTime.parse("2019-03-05"), 25806.63, 0),
  StockQuote(DateTime.parse("2019-03-04"), 25819.65, 0),
  StockQuote(DateTime.parse("2019-03-01"), 26026.32, 0),
  StockQuote(DateTime.parse("2019-02-28"), 25916, 0),
  StockQuote(DateTime.parse("2019-02-27"), 25985.16, 0),
  StockQuote(DateTime.parse("2019-02-26"), 26057.98, 0),
  StockQuote(DateTime.parse("2019-02-25"), 26091.95, 0),
  StockQuote(DateTime.parse("2019-02-22"), 26031.81, 0),
  StockQuote(DateTime.parse("2019-02-21"), 25850.63, 0),
  StockQuote(DateTime.parse("2019-02-20"), 25954.44, 0),
  StockQuote(DateTime.parse("2019-02-19"), 25891.32, 0),
  StockQuote(DateTime.parse("2019-02-15"), 25883.25, 0),
  StockQuote(DateTime.parse("2019-02-14"), 25439.39, 0),
  StockQuote(DateTime.parse("2019-02-13"), 25543.27, 0),
  StockQuote(DateTime.parse("2019-02-12"), 25425.76, 0),
  StockQuote(DateTime.parse("2019-02-11"), 25053.11, 0),
  StockQuote(DateTime.parse("2019-02-08"), 25106.33, 0),
  StockQuote(DateTime.parse("2019-02-07"), 25169.53, 0),
  StockQuote(DateTime.parse("2019-02-06"), 25390.3, 0),
  StockQuote(DateTime.parse("2019-02-05"), 25411.52, 0),
  StockQuote(DateTime.parse("2019-02-04"), 25239.37, 0),
  StockQuote(DateTime.parse("2019-02-01"), 25063.89, 0),
  StockQuote(DateTime.parse("2019-01-31"), 24999.67, 0),
  StockQuote(DateTime.parse("2019-01-30"), 25014.86, 0),
  StockQuote(DateTime.parse("2019-01-29"), 24579.96, 0),
  StockQuote(DateTime.parse("2019-01-28"), 24528.22, 0),
  StockQuote(DateTime.parse("2019-01-25"), 24737.2, 0),
  StockQuote(DateTime.parse("2019-01-24"), 24553.24, 0),
  StockQuote(DateTime.parse("2019-01-23"), 24575.62, 0),
  StockQuote(DateTime.parse("2019-01-22"), 24404.48, 0),
  StockQuote(DateTime.parse("2019-01-18"), 24706.35, 0),
  StockQuote(DateTime.parse("2019-01-17"), 24370.1, 0),
  StockQuote(DateTime.parse("2019-01-16"), 24207.16, 0),
  StockQuote(DateTime.parse("2019-01-15"), 24065.59, 0),
  StockQuote(DateTime.parse("2019-01-14"), 23909.84, 0),
  StockQuote(DateTime.parse("2019-01-11"), 23995.95, 0),
  StockQuote(DateTime.parse("2019-01-10"), 24001.92, 0),
  StockQuote(DateTime.parse("2019-01-09"), 23879.12, 0),
  StockQuote(DateTime.parse("2019-01-08"), 23787.45, 0),
  StockQuote(DateTime.parse("2019-01-07"), 23531.35, 0),
  StockQuote(DateTime.parse("2019-01-04"), 23433.16, 0),
  StockQuote(DateTime.parse("2019-01-03"), 22686.22, 0),
  StockQuote(DateTime.parse("2019-01-02"), 23346.24, 0),
  StockQuote(DateTime.parse("2018-12-31"), 23327.46, 0),
  StockQuote(DateTime.parse("2018-12-28"), 23062.4, 0),
  StockQuote(DateTime.parse("2018-12-27"), 23138.82, 0),
  StockQuote(DateTime.parse("2018-12-26"), 22878.45, 0),
  StockQuote(DateTime.parse("2018-12-24"), 21792.2, 0),
  StockQuote(DateTime.parse("2018-12-21"), 22445.37, 0),
  StockQuote(DateTime.parse("2018-12-20"), 22859.6, 0),
  StockQuote(DateTime.parse("2018-12-19"), 23323.66, 0),
  StockQuote(DateTime.parse("2018-12-18"), 23675.64, 0),
  StockQuote(DateTime.parse("2018-12-17"), 23592.98, 0),
  StockQuote(DateTime.parse("2018-12-14"), 24100.51, 0),
  StockQuote(DateTime.parse("2018-12-13"), 24597.38, 0),
  StockQuote(DateTime.parse("2018-12-12"), 24527.27, 0),
  StockQuote(DateTime.parse("2018-12-11"), 24370.24, 0),
  StockQuote(DateTime.parse("2018-12-10"), 24423.26, 0),
  StockQuote(DateTime.parse("2018-12-07"), 24388.95, 0),
  StockQuote(DateTime.parse("2018-12-06"), 24947.67, 0),
  StockQuote(DateTime.parse("2018-12-04"), 25027.07, 0),
  StockQuote(DateTime.parse("2018-12-03"), 25826.43, 0),
  StockQuote(DateTime.parse("2018-11-30"), 25538.46, 0),
  StockQuote(DateTime.parse("2018-11-29"), 25338.84, 0),
  StockQuote(DateTime.parse("2018-11-28"), 25366.43, 0),
  StockQuote(DateTime.parse("2018-11-27"), 24748.73, 0),
  StockQuote(DateTime.parse("2018-11-26"), 24640.24, 0),
  StockQuote(DateTime.parse("2018-11-23"), 24285.95, 0),
  StockQuote(DateTime.parse("2018-11-21"), 24464.69, 0),
  StockQuote(DateTime.parse("2018-11-20"), 24465.64, 0),
  StockQuote(DateTime.parse("2018-11-19"), 25017.44, 0),
  StockQuote(DateTime.parse("2018-11-16"), 25413.22, 0),
  StockQuote(DateTime.parse("2018-11-15"), 25289.27, 0),
  StockQuote(DateTime.parse("2018-11-14"), 25080.5, 0),
  StockQuote(DateTime.parse("2018-11-13"), 25286.49, 0),
  StockQuote(DateTime.parse("2018-11-12"), 25387.18, 0),
  StockQuote(DateTime.parse("2018-11-09"), 25989.3, 0),
  StockQuote(DateTime.parse("2018-11-08"), 26191.22, 0),
  StockQuote(DateTime.parse("2018-11-07"), 26180.3, 0),
  StockQuote(DateTime.parse("2018-11-06"), 25635.01, 0),
  StockQuote(DateTime.parse("2018-11-05"), 25461.7, 0),
  StockQuote(DateTime.parse("2018-11-02"), 25270.83, 0),
  StockQuote(DateTime.parse("2018-11-01"), 25380.74, 0),
  StockQuote(DateTime.parse("2018-10-31"), 25115.76, 0),
  StockQuote(DateTime.parse("2018-10-30"), 24874.64, 0),
  StockQuote(DateTime.parse("2018-10-29"), 24442.92, 0),
  StockQuote(DateTime.parse("2018-10-26"), 24688.31, 0),
  StockQuote(DateTime.parse("2018-10-25"), 24984.55, 0),
  StockQuote(DateTime.parse("2018-10-24"), 24583.42, 0),
  StockQuote(DateTime.parse("2018-10-23"), 25191.43, 0),
  StockQuote(DateTime.parse("2018-10-22"), 25317.41, 0),
  StockQuote(DateTime.parse("2018-10-19"), 25444.34, 0),
  StockQuote(DateTime.parse("2018-10-18"), 25379.45, 0),
  StockQuote(DateTime.parse("2018-10-17"), 25706.68, 0),
  StockQuote(DateTime.parse("2018-10-16"), 25798.42, 0),
  StockQuote(DateTime.parse("2018-10-15"), 25250.55, 0),
  StockQuote(DateTime.parse("2018-10-12"), 25339.99, 0),
  StockQuote(DateTime.parse("2018-10-11"), 25052.83, 0),
  StockQuote(DateTime.parse("2018-10-10"), 25598.74, 0),
  StockQuote(DateTime.parse("2018-10-09"), 26430.57, 0),
  StockQuote(DateTime.parse("2018-10-08"), 26486.78, 0),
  StockQuote(DateTime.parse("2018-10-05"), 26447.05, 0),
  StockQuote(DateTime.parse("2018-10-04"), 26627.48, 0),
  StockQuote(DateTime.parse("2018-10-03"), 26828.39, 0),
  StockQuote(DateTime.parse("2018-10-02"), 26773.94, 0),
  StockQuote(DateTime.parse("2018-10-01"), 26651.21, 0),
  StockQuote(DateTime.parse("2018-09-28"), 26458.31, 0),
  StockQuote(DateTime.parse("2018-09-27"), 26439.93, 0),
  StockQuote(DateTime.parse("2018-09-26"), 26385.28, 0),
  StockQuote(DateTime.parse("2018-09-25"), 26492.21, 0),
  StockQuote(DateTime.parse("2018-09-24"), 26562.05, 0),
  StockQuote(DateTime.parse("2018-09-21"), 26743.5, 0),
  StockQuote(DateTime.parse("2018-09-20"), 26656.98, 0),
  StockQuote(DateTime.parse("2018-09-19"), 26405.76, 0),
  StockQuote(DateTime.parse("2018-09-18"), 26246.96, 0),
  StockQuote(DateTime.parse("2018-09-17"), 26062.12, 0),
  StockQuote(DateTime.parse("2018-09-14"), 26154.67, 0),
  StockQuote(DateTime.parse("2018-09-13"), 26145.99, 0),
  StockQuote(DateTime.parse("2018-09-12"), 25998.92, 0),
  StockQuote(DateTime.parse("2018-09-11"), 25971.06, 0),
  StockQuote(DateTime.parse("2018-09-10"), 25857.07, 0),
  StockQuote(DateTime.parse("2018-09-07"), 25916.54, 0),
  StockQuote(DateTime.parse("2018-09-06"), 25995.87, 0),
  StockQuote(DateTime.parse("2018-09-05"), 25974.99, 0),
  StockQuote(DateTime.parse("2018-09-04"), 25952.48, 0),
  StockQuote(DateTime.parse("2018-08-31"), 25964.82, 0),
  StockQuote(DateTime.parse("2018-08-30"), 25986.92, 0),
  StockQuote(DateTime.parse("2018-08-29"), 26124.57, 0),
  StockQuote(DateTime.parse("2018-08-28"), 26064.02, 0),
  StockQuote(DateTime.parse("2018-08-27"), 26049.64, 0),
  StockQuote(DateTime.parse("2018-08-24"), 25790.35, 0),
  StockQuote(DateTime.parse("2018-08-23"), 25656.98, 0),
  StockQuote(DateTime.parse("2018-08-22"), 25733.6, 0),
  StockQuote(DateTime.parse("2018-08-21"), 25822.29, 0),
  StockQuote(DateTime.parse("2018-08-20"), 25758.69, 0),
  StockQuote(DateTime.parse("2018-08-17"), 25669.32, 0),
  StockQuote(DateTime.parse("2018-08-16"), 25558.73, 0),
  StockQuote(DateTime.parse("2018-08-15"), 25162.41, 0),
  StockQuote(DateTime.parse("2018-08-14"), 25299.92, 0),
  StockQuote(DateTime.parse("2018-08-13"), 25187.7, 0),
  StockQuote(DateTime.parse("2018-08-10"), 25313.14, 0),
  StockQuote(DateTime.parse("2018-08-09"), 25509.23, 0),
  StockQuote(DateTime.parse("2018-08-08"), 25583.75, 0),
  StockQuote(DateTime.parse("2018-08-07"), 25628.91, 0),
  StockQuote(DateTime.parse("2018-08-06"), 25502.18, 0),
  StockQuote(DateTime.parse("2018-08-03"), 25462.58, 0),
  StockQuote(DateTime.parse("2018-08-02"), 25326.16, 0),
  StockQuote(DateTime.parse("2018-08-01"), 25333.82, 0),
  StockQuote(DateTime.parse("2018-07-31"), 25415.19, 0),
  StockQuote(DateTime.parse("2018-07-30"), 25306.83, 0),
  StockQuote(DateTime.parse("2018-07-27"), 25451.06, 0),
  StockQuote(DateTime.parse("2018-07-26"), 25527.07, 0),
  StockQuote(DateTime.parse("2018-07-25"), 25414.1, 0),
  StockQuote(DateTime.parse("2018-07-24"), 25241.94, 0),
  StockQuote(DateTime.parse("2018-07-23"), 25044.29, 0),
  StockQuote(DateTime.parse("2018-07-20"), 25058.12, 0),
  StockQuote(DateTime.parse("2018-07-19"), 25064.5, 0),
  StockQuote(DateTime.parse("2018-07-18"), 25199.29, 0),
  StockQuote(DateTime.parse("2018-07-17"), 25119.89, 0),
  StockQuote(DateTime.parse("2018-07-16"), 25064.36, 0),
  StockQuote(DateTime.parse("2018-07-13"), 25019.41, 0),
  StockQuote(DateTime.parse("2018-07-12"), 24924.89, 0),
  StockQuote(DateTime.parse("2018-07-11"), 24700.45, 0),
  StockQuote(DateTime.parse("2018-07-10"), 24919.66, 0),
  StockQuote(DateTime.parse("2018-07-09"), 24776.59, 0),
  StockQuote(DateTime.parse("2018-07-06"), 24456.48, 0),
  StockQuote(DateTime.parse("2018-07-05"), 24356.74, 0),
  StockQuote(DateTime.parse("2018-07-03"), 24174.82, 0),
  StockQuote(DateTime.parse("2018-07-02"), 24307.18, 0),
  StockQuote(DateTime.parse("2018-06-29"), 24271.41, 0),
  StockQuote(DateTime.parse("2018-06-28"), 24216.05, 0),
  StockQuote(DateTime.parse("2018-06-27"), 24117.59, 0),
  StockQuote(DateTime.parse("2018-06-26"), 24283.11, 0),
  StockQuote(DateTime.parse("2018-06-25"), 24252.8, 0),
  StockQuote(DateTime.parse("2018-06-22"), 24580.89, 0),
  StockQuote(DateTime.parse("2018-06-21"), 24461.7, 0),
  StockQuote(DateTime.parse("2018-06-20"), 24657.8, 0),
  StockQuote(DateTime.parse("2018-06-19"), 24700.21, 0),
  StockQuote(DateTime.parse("2018-06-18"), 24987.47, 0),
  StockQuote(DateTime.parse("2018-06-15"), 25090.48, 0),
  StockQuote(DateTime.parse("2018-06-14"), 25175.31, 0),
  StockQuote(DateTime.parse("2018-06-13"), 25201.2, 0),
  StockQuote(DateTime.parse("2018-06-12"), 25320.73, 0),
  StockQuote(DateTime.parse("2018-06-11"), 25322.31, 0),
  StockQuote(DateTime.parse("2018-06-08"), 25316.53, 0),
  StockQuote(DateTime.parse("2018-06-07"), 25241.41, 0),
  StockQuote(DateTime.parse("2018-06-06"), 25146.39, 0),
  StockQuote(DateTime.parse("2018-06-05"), 24799.98, 0),
  StockQuote(DateTime.parse("2018-06-04"), 24813.69, 0),
  StockQuote(DateTime.parse("2018-06-01"), 24635.21, 0),
  StockQuote(DateTime.parse("2018-05-31"), 24415.84, 0),
  StockQuote(DateTime.parse("2018-05-30"), 24667.78, 0),
  StockQuote(DateTime.parse("2018-05-29"), 24361.45, 0),
  StockQuote(DateTime.parse("2018-05-25"), 24753.09, 0),
  StockQuote(DateTime.parse("2018-05-24"), 24811.76, 0),
  StockQuote(DateTime.parse("2018-05-23"), 24886.81, 0),
  StockQuote(DateTime.parse("2018-05-22"), 24834.41, 0),
  StockQuote(DateTime.parse("2018-05-21"), 25013.29, 0),
  StockQuote(DateTime.parse("2018-05-18"), 24715.09, 0),
  StockQuote(DateTime.parse("2018-05-17"), 24713.98, 0),
  StockQuote(DateTime.parse("2018-05-16"), 24768.93, 0),
  StockQuote(DateTime.parse("2018-05-15"), 24706.41, 0),
  StockQuote(DateTime.parse("2018-05-14"), 24899.41, 0),
  StockQuote(DateTime.parse("2018-05-11"), 24831.17, 0),
  StockQuote(DateTime.parse("2018-05-10"), 24739.53, 0),
  StockQuote(DateTime.parse("2018-05-09"), 24542.54, 0),
  StockQuote(DateTime.parse("2018-05-08"), 24360.21, 0),
  StockQuote(DateTime.parse("2018-05-07"), 24357.32, 0),
  StockQuote(DateTime.parse("2018-05-04"), 24262.51, 0),
  StockQuote(DateTime.parse("2018-05-03"), 23930.15, 0),
  StockQuote(DateTime.parse("2018-05-02"), 23924.98, 0),
  StockQuote(DateTime.parse("2018-05-01"), 24099.05, 0),
  StockQuote(DateTime.parse("2018-04-30"), 24163.15, 0),
  StockQuote(DateTime.parse("2018-04-27"), 24311.19, 0),
  StockQuote(DateTime.parse("2018-04-26"), 24322.34, 0),
  StockQuote(DateTime.parse("2018-04-25"), 24083.83, 0),
  StockQuote(DateTime.parse("2018-04-24"), 24024.13, 0),
  StockQuote(DateTime.parse("2018-04-23"), 24448.69, 0),
  StockQuote(DateTime.parse("2018-04-20"), 24462.94, 0),
  StockQuote(DateTime.parse("2018-04-19"), 24664.89, 0),
  StockQuote(DateTime.parse("2018-04-18"), 24748.07, 0),
  StockQuote(DateTime.parse("2018-04-17"), 24786.63, 0),
  StockQuote(DateTime.parse("2018-04-16"), 24573.04, 0),
  StockQuote(DateTime.parse("2018-04-13"), 24360.14, 0),
  StockQuote(DateTime.parse("2018-04-12"), 24483.05, 0),
  StockQuote(DateTime.parse("2018-04-11"), 24189.45, 0),
  StockQuote(DateTime.parse("2018-04-10"), 24408, 0),
];
